﻿@model IEnumerable<ASPNETMVCExemploValidacao.Models.Tarefa>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.DataInicial)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Descricao)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ValorInteiro)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ValorDecimal)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ValorDouble)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Status)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.DataInicial)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Descricao)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ValorInteiro)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ValorDecimal)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ValorDouble)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Status)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
